<include file="Public:head"/>
<style type='text/css'>
.my-fl{float:left;}
.my-fr{float:right;}
.my-title{color:#666;}
.my-company{font-size:1.5rem;display:inline;margin-right:0.5rem;}
.my-up-cont{margin-top:0.5rem}
.my-half{float:left;width:49.5%;height:300px;border:solid 1px #aaa;border-radius:4px;box-shadow: 3px 3px 3px #ddd;padding:1rem;box-sizing:border-box;}
.my-stat-cont{width:49%;height:85%;float:left;border-right:solid 1px #aaa;padding:1rem;padding-top:0;box-sizing:border-box;}
.my-bor-no{border:none;}
.my-icon{width:40px;height:50px;}
.my-top-txt{font-size:1.3rem;}
.my-mar{margin-left:1rem;}
.my-mar2{margin-left:26px;}
.my-mar-no{margin:0;}
.my-padding-no{padding:0;}
.my-stat-top{width:100%;height:50px;margin-top:1rem;padding-left:2rem;margin-bottom:5rem;}
.my-stat-top:after{content:'';clear:both;}
.my-cf:after{content:'';clear:both;}

.my-width{width:50px;}
.my-stat-title{height:15px;margin:15px;margin-bottom:0;}
.my-down-cont{width:100%;height:300px;border:solid 1px #aaa;border-radius:4px;box-shadow: 3px 3px 3px #ddd;padding:1rem;box-sizing:border-box;margin-top:1rem;}
.my-btn{background-color:#3498DB;border-radius:3px;color:#fff;text-align:center;width:50px;height:23px;margin-right:0.5rem;}
tspan{height:50px;font-size:18px;padding:5px;font-weight:bold;}

#container tspan{font-size:11px;font-weight:initial;}
#chartContainer{padding-left:5px;}
.pss{font-size:10px;font-weight:initial;color:#666;}
</style>
<script src="{pigcms::RES}/highcharts/js/highcharts.js"></script>
<script src="{pigcms::RES}/highcharts/js/modules/exporting.js"></script>

<script type="text/javascript" src="/tpl/static/fusionchartsV3.1/js/fusioncharts.js"></script>
<script type="text/javascript" src="/tpl/static/fusionchartsV3.1/js/themes/fusioncharts.theme.fint.js"></script>
<script type="text/javascript">
FusionCharts.ready(function(){
var revenueChart = new FusionCharts({
	"type": "doughnut2d",
	"renderAt": "chartContainer",
	"width": "480",
	"height": "267",
	"rotateNames":"1",
	"dataFormat": "json",
	"dataSource":  {
		"chart": {
			"caption": "",
			"subCaption": "",
			"xAxisName": "Month",
			"yAxisName": "Revenues (In USD)",
			"paletteColors": "#F79646,#4BACC6",
			"defaultCenterLabel": "{pigcms:$userStatusInfo['memberCount']}<br/>总人数",
			"centerLabel": "",
			"showPercentValues": "1",
			"theme": "fint"
		},
		"data": [
			{
			   "label": "已验证用户",
			   "value": "{pigcms:$userStatusInfo['validatingRate']}"
			},
			{
			   "label": "未验证用户",
			   "value": "{pigcms:$userStatusInfo['unValidatingRate']}"
			}
		]
	}
});
revenueChart.render();
setTimeout("changeFont();",1000);
});


function changeFont(){
	$('tspan').each(function(){
		var v=$(this).html();
		var str=v.split(',');
		
		if(v=='总人数'){
			$(this).html("<tspan class='pss'>总人数</tspan>");
		}
		
		if(str[0]=='已验证用户'||str[0]=='未验证用户'){
			$(this).html("<tspan>"+str[1]+"</tspan><tspan> </tspan> <tspan class='pss'>"+str[0]+"</tspan>");
		}
	});
}
$(function () {
	getreportdata(7);
	$(".nav-header").addClass('nav-header-current');
	$(".nav-header").next('.ckit').hide();
	$('.ckit > li').removeClass('selected');
});

function getreportdata(time){
	getreportforimg(time);
}
function getreportforimg(time){
	datetype=time;
	var start_time = "";
	var end_time = "";
	if(time == 0){
			start_time = $("#datestart0").datebox('getValue');
			end_time = $("#dateend0").datebox('getValue');
		
		if(start_time||end_time){
			 if(start_time =="" ||end_time==""){
			    	alert('请输入完整时间段!');
			    	return false;
			    } 
		 }  
		if(start_time>end_time){
			alert('开始时间不能大于结束时间!');
			return false;
		}
	}
	else{
		$('#datestart0').datebox('setValue', '');
		$('#dateend0').datebox('setValue', '');
	}
	
    $.getJSON('{pigcms::U('Analysis/Loginnumberimg')}',{time:time,start_time:start_time,end_time:end_time},function (datalist) {
        $('#container').highcharts({
            title: {
                text: '',
                x: -20 //center
            },
            colors: ['#F79646'],
            credits:{enabled:false},
            subtitle: {
                text: '',
                x: -20
            },
            xAxis: {
                categories: datalist.xlist
            },
            yAxis: {
                title: {
                    text: '人数'
                },
                plotLines: [{
                    value: 0,
                    width: 1,
                    color: '#F79646'
                }]
            },
            tooltip: {
                valueSuffix: ''
            },
            legend: {
                layout: 'vertical',
                align: 'right',
                verticalAlign: 'middle',
                borderWidth: 0
            },
            series: [{
                name: '登录人数',
                data: datalist.users
			}]
        });
    });
}

</script>
<div class='content'>
	<div class='my-title'><div class='my-company'>{pigcms:$publicInfo['name']}</div>欢迎登录{pigcms:$welcomeName}学习平台！</div>
	<div class='my-up-cont'>
		<div class='my-half'>
			<div class=''><b>汇总</b></div>
			<div class='my-stat-cont'>
				<div class='my-stat-top'>
					<div class='my-fl'>
						<img src='{pigcms::RES}/images/welcome/totalCount.png' class='my-icon my-width' />
					</div>
					<div class='my-fl my-mar'>
						<div class='my-top-txt'>{pigcms:$countInfo['memberCount']|default=0}</div>
						<span>总体用户</span>
					</div>
				</div>
				<div class='my-stat-top'>
					<div class='my-fl'>
						<img src='{pigcms::RES}/images/welcome/courseCount.png' class='my-icon' />
					</div>
					<div class='my-fl my-mar2'>
						<div class='my-top-txt'>{pigcms:$countInfo['courseCount']|default=0}</div>
						<span>课程数量</span>
					</div>
				</div>
				
			</div>
			<div class='my-stat-cont my-bor-no'>
				<div class='my-stat-top'>
					<div class='my-fl'>
						<img src='{pigcms::RES}/images/welcome/classCount.png' class='my-icon my-width' />
					</div>
					<div class='my-fl my-mar'>
						<div class='my-top-txt'>{pigcms:$countInfo['projectCount']|default=0}</div>
						<span>班级数量</span>
					</div>
				</div>
				
				<div class='my-stat-top'>
					<div class='my-fl'>
						<img src='{pigcms::RES}/images/welcome/examCount.png' class='my-icon' />
					</div>
					<div class='my-fl my-mar2'>
						<div class='my-top-txt'>{pigcms:$countInfo['examCount']|default=0}</div>
						<span>考试数量</span>
					</div>
				</div>
			</div>
		</div>
		<div class='my-half my-padding-no' style='margin-left:1%;'>
			<div class='my-stat-title'><b>用户状态</b></div>
			<div id="chartContainer"></div>
		</div>
		<div style='clear:both;'></div>
	</div>
	<div class='my-down-cont'>
		<div class='my-stat-title' style='margin:0;height:25px'>
			<b>登录情况</b>
			<div class='my-fr'>
				<input type='button' value='7天' onclick="getreportdata(7);" class='my-btn'/>
				<input type='button' value='14天' onclick="getreportdata(14);" class='my-btn'/>
				<input type='button' value='30天' onclick="getreportdata(30);" class='my-btn'/>
			</div>
		</div>
		<!-- <div id="lineContainer"></div> -->
		<div id="container" style="min-width: 310px; height: 250px; margin: 5px auto"></div>
	</div>
</div>
<div class="clr"></div>
      </div>
    </div>
  </div>
<!--底部-->
</div>
<include file="Public:footer"/>